## org.apache.commons.collections.iterators
Class UnmodifiableIterator

    java.lang.Object
      org.apache.commons.collections.iterators.UnmodifiableIterator

All Implemented Interfaces:
  Iterator, Unmodifiable

public final class UnmodifiableIterator
extends Object
implements Iterator, Unmodifiable

Decorates an iterator such that it cannot be modified.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.5 $ $Date: 2004/02/18 00:59:50 $
Author:
  Stephen Colebourne

Method Summary
`static Iterator` `decorate(Iterator iterator)` Decorates the specified iterator such that it cannot be modified.
`boolean` `hasNext()`
`Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### decorate

    public static Iterator decorate(Iterator iterator)

  Decorates the specified iterator such that it cannot be modified.

  If the iterator is already unmodifiable it is returned directly.

  Parameters:
    `iterator` - the iterator to decorate
  Throws:
    `IllegalArgumentException` - if the iterator is null

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.